<template>
  <div>
    <base-header type="gradient-success" class="pb-6 pb-8 pt-5 pt-md-8">
    </base-header>

    <div class="container-fluid mt--7">
      <div class="row">
        <div class="col">
          <schools-table title="Schools Tables" :Toast="Toast"></schools-table>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
import SchoolsTable from "./SchoolsTable";
export default {
  name: "tables",
  data() {
    return {
      Toast: this.$swal.mixin({
        toast: true,
        position: "top-end",
        showConfirmButton: false,
        timer: 3000,
        timerProgressBar: true,
        didOpen: (toast) => {
          toast.addEventListener("mouseenter", this.$swal.stopTimer);
          toast.addEventListener("mouseleave", this.$swal.resumeTimer);
        },
      }),
    };
  },
  components: {
    SchoolsTable,
  },
};
</script>
<style></style>
